Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.config.java.annotation
Enum DependencyCheck

    java.lang.Object
      java.lang.Enum<DependencyCheck>
          org.springframework.config.java.annotation.DependencyCheck

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DependencyCheck>

    public enum DependencyCheck

extends java.lang.Enum<DependencyCheck>

Annotation representing a Spring IoC dependency check status.

Author:
  Rod Johnson
See Also:
  `AbstractBeanDefinition`

Enum Constant Summary
`ALL`
`NONE`
`OBJECTS`
`SIMPLE`
`UNSPECIFIED`

Method Summary
`int` | `value()`
`static DependencyCheck` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DependencyCheck[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSPECIFIED

    public static final DependencyCheck UNSPECIFIED

### NONE

    public static final DependencyCheck NONE

### SIMPLE

    public static final DependencyCheck SIMPLE

### OBJECTS

    public static final DependencyCheck OBJECTS

### ALL

    public static final DependencyCheck ALL

Method Detail

### values

    public static DependencyCheck[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DependencyCheck c : DependencyCheck.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DependencyCheck valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public int value()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD